@echo off
echo INITIALIZE group entry with OCCURS
copy /y initialize.1 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff initialize.2 result
if errorlevel 1 goto err

echo INITIALIZE OCCURS with numeric edited
copy /y initialize.3 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff initialize.4 result
if errorlevel 1 goto err

echo INITIALIZE complex group (1)
copy /y initialize.5 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff initialize.6 result
if errorlevel 1 goto err

echo INITIALIZE complex group (2)
copy /y initialize.7 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff initialize.8 result
if errorlevel 1 goto err

echo INITIALIZE with REDEFINES
copy /y initialize.9 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff initialize.10 result
if errorlevel 1 goto err

echo INITIALIZE TEST PASSED
del test.conf prog.* result comp.out
goto end

:err
	echo INITIALIZE TEST FAILED
	pause
:end
